Skip to main content
GET
/
api
/
v1
/
ai
/
agents
/
histories
List agent chat histories
curl --request GET \
  --url https://mcp.echozero.app/api/v1/ai/agents/histories \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "items": [
      {
        "conversationId": "<string>",
        "type": "<string>",
        "agentId": "<string>",
        "agentName": "<string>",
        "messageCount": 123,
        "agentImageUrl": "<string>",
        "lastQuestion": "<string>",
        "lastAnswer": "<string>",
        "lastMessageAt": "2023-11-07T05:31:56Z"
      }
    ],
    "totalCount": 123,
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Query Parameters

agentId
string
conversationId
string
types
string

Comma-separated AiConversationType values (e.g. AGENT,VIBE_TRADE)

Example:

"AGENT,VIBE_TRADE"

Maximum string length: 200
timePeriods
string

Comma-separated ChatHistoryTimePeriod values (e.g. TODAY,THIS_WEEK)

Example:

"THIS_WEEK"

limit
number
default:20
Required range: 1 <= x <= 100
offset
number
default:0
Required range: x >= 0
order
enum<string>
Available options:
ASC,
DESC

Response

Paginated history list.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload